Create a Task Credit
curl --request POST \
--url https://app.usequeue.com/api/v1/projects/{project_id}/task_credits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"task_id": 7,
"user_id": 42,
"credits": 5,
"comment": "Credit for logo design",
"service_checkout_id": 123,
"service_id": 123,
"invoice_service_id": 123,
"automated": false
}
'import requests
url = "https://app.usequeue.com/api/v1/projects/{project_id}/task_credits"
payload = {
"task_id": 7,
"user_id": 42,
"credits": 5,
"comment": "Credit for logo design",
"service_checkout_id": 123,
"service_id": 123,
"invoice_service_id": 123,
"automated": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
task_id: 7,
user_id: 42,
credits: 5,
comment: 'Credit for logo design',
service_checkout_id: 123,
service_id: 123,
invoice_service_id: 123,
automated: false
})
};
fetch('https://app.usequeue.com/api/v1/projects/{project_id}/task_credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"task_credit": {
"id": 1,
"token": "abc123xyz",
"credits": 5,
"comment": "Credit for logo design",
"user_id": 42,
"task_id": 7,
"service_checkout_id": null,
"created_at": "06/22/2026",
"automated": false,
"invoice_service_id": null,
"user": {
"username": "Masud Hossain"
},
"service": null
}
}Task Credits
Create Task Credit
POST
/
projects
/
{project_id}
/
task_credits
Create a Task Credit
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I

